#include <iostream>
#include <map>
#include <vector>
#include <set>
#include <deque>
#include <stack>
#include <queue>
#include <algorithm>
#include <cmath>
#include <climits>
#include <ctime>
#include <iomanip>
#include <string>

using namespace std;


    
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(nullptr);
    cout.tie(nullptr);
    int n;
    cin>>n;
    vector<int> a(n);
    vector<int> p;
    for(int i = 0; i < n; i++)
    {
        cin>>a[i];
        p.push_back(a[i]);
    }
    sort(p.begin(), p.end());
    if(p == a) 
    {
        cout<<0;
        return 0;
    }
    reverse(p.begin(), p.end());
    if(p == a) 
    {
        cout<<"1\n1 "<<n;;
        return 0;
    }
    cout<<"1\n1 "<<2;;
}